Get a link owned by the authenticated merchant
curl --request GET \
--url https://api.example.com/v1/payment-links/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v1/payment-links/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payment-links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payment-links/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payment-links/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payment-links/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"amount": "12.34",
"createdAt": "2026-10-11T10:00:00.000Z",
"currency": "EUR",
"description": "Order payment",
"expired": false,
"expiresAt": "2026-10-18T10:00:00.000Z",
"failureUrl": "https://shop.example.com/failure",
"id": "pl_01j9a6d6dqevssvyw7s97pkrga",
"isActive": true,
"livemode": true,
"maxUses": 1,
"merchantId": "mer_example",
"metadata": {
"cartId": "cart_example"
},
"reusable": false,
"slug": "aBcDeFgHiJkLmNoPqRsTuVwX",
"status": "ACTIVE",
"successUrl": "https://shop.example.com/success",
"url": "https://pay.example.com/l/aBcDeFgHiJkLmNoPqRsTuVwX",
"usesCount": 0
}{
"error": "Unauthorized",
"message": "Invalid API key",
"statusCode": 401
}{
"error": "PAYMENT_LINK_NOT_FOUND",
"errorCode": "PAYMENT_LINK_NOT_FOUND",
"message": "PAYMENT_LINK_NOT_FOUND",
"status": false,
"statusCode": 404
}{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "UPSTREAM_UNAVAILABLE",
"errorCode": "UPSTREAM_UNAVAILABLE",
"message": "Payment links are temporarily unavailable",
"status": false,
"statusCode": 502
}{
"error": "Service Unavailable",
"message": "API_KEY_VALIDATION_UNAVAILABLE",
"statusCode": 503
}{
"error": "UPSTREAM_TIMEOUT",
"errorCode": "UPSTREAM_TIMEOUT",
"message": "The payment core did not answer in time",
"status": false,
"statusCode": 504
}Payment links
Get a link owned by the authenticated merchant
Links of other merchants or API-key modes answer 404 PAYMENT_LINK_NOT_FOUND, like unknown ids.
GET
/
v1
/
payment-links
/
{id}
Get a link owned by the authenticated merchant
curl --request GET \
--url https://api.example.com/v1/payment-links/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v1/payment-links/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payment-links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payment-links/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payment-links/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payment-links/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"amount": "12.34",
"createdAt": "2026-10-11T10:00:00.000Z",
"currency": "EUR",
"description": "Order payment",
"expired": false,
"expiresAt": "2026-10-18T10:00:00.000Z",
"failureUrl": "https://shop.example.com/failure",
"id": "pl_01j9a6d6dqevssvyw7s97pkrga",
"isActive": true,
"livemode": true,
"maxUses": 1,
"merchantId": "mer_example",
"metadata": {
"cartId": "cart_example"
},
"reusable": false,
"slug": "aBcDeFgHiJkLmNoPqRsTuVwX",
"status": "ACTIVE",
"successUrl": "https://shop.example.com/success",
"url": "https://pay.example.com/l/aBcDeFgHiJkLmNoPqRsTuVwX",
"usesCount": 0
}{
"error": "Unauthorized",
"message": "Invalid API key",
"statusCode": 401
}{
"error": "PAYMENT_LINK_NOT_FOUND",
"errorCode": "PAYMENT_LINK_NOT_FOUND",
"message": "PAYMENT_LINK_NOT_FOUND",
"status": false,
"statusCode": 404
}{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "UPSTREAM_UNAVAILABLE",
"errorCode": "UPSTREAM_UNAVAILABLE",
"message": "Payment links are temporarily unavailable",
"status": false,
"statusCode": 502
}{
"error": "Service Unavailable",
"message": "API_KEY_VALIDATION_UNAVAILABLE",
"statusCode": 503
}{
"error": "UPSTREAM_TIMEOUT",
"errorCode": "UPSTREAM_TIMEOUT",
"message": "The payment core did not answer in time",
"status": false,
"statusCode": 504
}Authorizations
Path Parameters
Response
The link
Pattern:
^(0|[1-9]\d{0,19})(\.\d{1,18})?$Example:
"12.34"
Example:
"EUR"
Example:
"pl_01j9a6d6dqevssvyw7s97pkrga"
The live/test mode inherited from the authenticated API key.
Example:
true
Pattern:
^[A-Za-z0-9]{24}$Available options:
ACTIVE, INACTIVE, EXPIRED, EXHAUSTED Null when hosted checkout is disabled.
Example:
"https://pay.example.com/l/aBcDeFgHiJkLmNoPqRsTuVwX"